#!/bin/sh -e

# Example running cmtzman

./cmtzman HKLIN $CEXAM/rnase/rnase18.mtz HKLOUT junk.mtz <<EOF
#
# NEW keyword
NEW XTAL xtal1 CELL 64.897 78.323 38.792
NEW DATASET xtal1 newset
#
# MOVE keyword
MOVE DATASET /RNASE3GMP/COMPLEX /RNASE
MOVE COLUMN FNAT /xtal1/newset
#
# RENAME keyword
RENAME XTAL RNASE RNASE_new
RENAME DATASET /RNASE2GMP/COMPLEX COMPLEX2
RENAME COLUMN FNAT col1 
#
# DELETE keyword
DELETE COLUMN /RNASE_new/NATIVE/SIGFNAT
#DELETE COLUMN /RNASE_new/NATIVE/FreeR_flag
DELETE DATASET /RNASE_new/NATIVE
DELETE XTAL /RNASE2GMP
#DELETE DATASET /RNASE2GMP/COMPLEX2
#
# IMPORT keyword
#IMPORT $CEXAM/rnase/rnase25.mtz
#
# SET keyword
SET XTAL xtal1 PROJECT project1
SET XTAL xtal1 CELL 64.897 78.323 38.792 120 90 90
SET DATASET newset WAVELENGTH 1.7
#SET COLUMN col1 TYPE G
#
# SHOW keyword
SHOW
EOF
